export { parseReactAsyncIterable, reactAsyncIterSpecialInfoSymbol, type ReactAsyncIterable, type ReactAsyncIterSpecialInfo, };
declare function parseReactAsyncIterable<T>(value: AsyncIterable<T> & Partial<ReactAsyncIterable<unknown, T>>): {
    baseIter: ReactAsyncIterSpecialInfo<unknown, T>['origSource'];
    formatFn: ReactAsyncIterSpecialInfo<unknown, T>['formatFn'];
};
declare const reactAsyncIterSpecialInfoSymbol: unique symbol;
type ReactAsyncIterable<TVal, TValFormatted> = AsyncIterable<TValFormatted, void, void> & {
    [reactAsyncIterSpecialInfoSymbol]: ReactAsyncIterSpecialInfo<TVal, TValFormatted>;
};
type ReactAsyncIterSpecialInfo<TOrigVal, TFormattedVal> = {
    origSource: AsyncIterable<TOrigVal>;
    formatFn(value: TOrigVal, i: number): TFormattedVal;
};
