"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRefWithInitialValue = useRefWithInitialValue;
const react_1 = require("react");
function useRefWithInitialValue(initialValueFn) {
    const isInitializedRef = (0, react_1.useRef)();
    const ref = (0, react_1.useRef)();
    if (!isInitializedRef.current) {
        isInitializedRef.current = true;
        ref.current = initialValueFn();
    }
    const refNonNullCurrent = ref;
    return refNonNullCurrent;
}
//# sourceMappingURL=useRefWithInitialValue.js.map